CREATE TABLE gl_je_segment_values (
    JE_HEADER_ID             NUMBER(18, 0),
    SEGMENT_TYPE_CODE        VARCHAR2(4)  ,
    SEGMENT_VALUE            VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    PARTITION_GROUP_CODE     VARCHAR2(60) ,
    PERIOD_NAME              VARCHAR2(60) ,
    JE_HEADER_ID             NUMBER(18, 0),
    SEGMENT_TYPE_CODE        VARCHAR2(4)  ,
    SEGMENT_VALUE            VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    PARTITION_GROUP_CODE     VARCHAR2(60) ,
    PERIOD_NAME              VARCHAR2(60) ,
    CONSTRAINT pk_gl_je_segment_values PRIMARY KEY (JE_HEADER_ID, SEGMENT_TYPE_CODE, SEGMENT_VALUE, JE_HEADER_ID, SEGMENT_TYPE_CODE, SEGMENT_VALUE)
);
